zabbix_export:
  version: '5.2'
  date: '2021-03-31T13:33:03Z'
  groups:
    -
      name: 'Discovered hosts'
  hosts:
    -
      host: test
      name: test
      groups:
        -
          name: 'Discovered hosts'
      interfaces:
        -
          interface_ref: if1
      items:
        -
          name: Maxfiles
          key: kernel.maxfiles
          delay: 10s
          interface_ref: if1
        -
          name: Maxproc
          key: kernel.maxproc
          delay: 10s
          interface_ref: if1
        -
          name: 'Log item'
          type: ZABBIX_ACTIVE
          key: 'log[var/log/zabbix_log.txt]'
          trends: '0'
          value_type: LOG
        -
          name: 'CPU Load'
          key: 'system.cpu.load[,avg1]'
          delay: 10s
          value_type: FLOAT
          interface_ref: if1
        -
          name: 'Date time'
          key: system.localtime
          delay: 10s
          interface_ref: if1
        -
          name: 'Free swap'
          key: 'system.swap.size[,free]'
          delay: 10s
          value_type: FLOAT
          interface_ref: if1
        -
          name: 'System name'
          key: system.uname
          delay: 10s
          trends: '0'
          value_type: LOG
          interface_ref: if1
        -
          name: 'Trapper 1'
          type: TRAP
          key: 'trap[1]'
          delay: '0'
        -
          name: 'Trapper 2'
          type: TRAP
          key: 'trap[2]'
          delay: '0'
        -
          name: Trapper3
          type: TRAP
          key: 'trap[3]'
          delay: '0'
          trends: '0'
          value_type: TEXT
        -
          name: 'Returns JSON'
          key: vfs.fs.get
          delay: 10s
          trends: '0'
          value_type: TEXT
          interface_ref: if1
      inventory_mode: DISABLED
  triggers:
    -
      expression: '{test:trap[1].band(#1,32)}>0 and {test:trap[2].band(#2,64, 1h)}>0'
      recovery_mode: RECOVERY_EXPRESSION
      recovery_expression: '{test:trap[1].band(#1,32)}<0 and {test:trap[2].band(#2,64, 1h)}<0'
      name: '22nd trigger in the list'
      priority: WARNING
